package com.app.kaka.channelmanager;

import android.support.annotation.NonNull;

import com.alibaba.fastjson.JSON;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** ChannelmanagerPlugin */
public class ChannelManagerPlugin implements FlutterPlugin, MethodCallHandler {
  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
    final MethodChannel channel = new MethodChannel(flutterPluginBinding.getFlutterEngine().getDartExecutor(), "com.app.kaka.channel");
    channel.setMethodCallHandler(new ChannelManagerPlugin());
  }

  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "com.app.kaka.channel");
    channel.setMethodCallHandler(new ChannelManagerPlugin());
  }

  @Override
  public void onMethodCall(@NonNull MethodCall call, @NonNull Result result) {
    switch (call.method) {
      case "SyGetAppinfo":
        //获取APP信息
        AppinfoBean appinfoBean = new AppinfoBean();
        appinfoBean.setUid("14711111231");
        appinfoBean.setPhone("14711111231");
        appinfoBean.setHeadImage("14711111231");
        appinfoBean.setIsLogin(1);
        appinfoBean.setOpenId("1357924680");
        appinfoBean.setUnionId("1357924680");
        appinfoBean.setNickname("小斌哥");
        appinfoBean.setIsNewUser(1);
        appinfoBean.setLocationCityName("北京");
        appinfoBean.setLocationCityId("1");
        appinfoBean.setSelectedCityName("天津");
        appinfoBean.setSelectedCityId("2");
        result.success(JSON.toJSONString(appinfoBean));
        break;
      default:
        result.notImplemented();
        break;
    }
  }

  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
  }
}
