import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:channelmanager/channel_manager.dart';
import 'package:channelmanager/app_info_bean.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  AppInfoBean appInfoBean;

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  Future<void> initPlatformState() async {
    AppInfoBean appInfoBean;

    try {
      appInfoBean = await ChannelManager.syGetAppinfo();
    } on PlatformException {
      appInfoBean = AppInfoBean();
    }

    if (!mounted) return;

    setState(() {
      this.appInfoBean = appInfoBean;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text(appInfoBean?.toJson().toString()??'无数据'),
        ),
      ),
    );
  }
}
